oracle.dbtools.plugin.api.install

## Interface InstallationProvider

-     public interface InstallationProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InstallationOptions` | `getCommandLineOptions(InstallType installType)` The command line options to use for the installation.
    `Set<String>` | `getOptions()` Get a list of command options.
    `Map<String,String>` | `nonInteractive(InstallType installType, Map<String,String> cmdOptions)` Obtains the command options to update the configuration file and install/upgrade/configure ORDS
    `Map<String,String>` | `prompts(InstallType installType, Map<String,String> cmdOptions)` Prompts for the settings or options.
    `Map<String,String>` | `prompts(InstallType installType, Map<String,String> cmdOptions, Map<String,ConfigurationSetting> settings)` Prompts for the settings or options.
    `boolean` | `validOptions(Map<String,String> cmdLineOptions)` Checks if the options specified on the command-line are valid.

- - ### Method Detail

    - #### prompts

          Map<String,String> prompts(InstallType installType,
                                     Map<String,String> cmdOptions)
                              throws Exception

      Prompts for the settings or options.
      Parameters:
        `installType` - - install, repair or uninstall
        `cmdOptions` - - command-line options
      Returns:
        a map that contains the name of the setting or option and its value
      Throws:
        `Exception`

    - #### prompts

          Map<String,String> prompts(InstallType installType,
                                     Map<String,String> cmdOptions,
                                     Map<String,ConfigurationSetting> settings)
                              throws Exception

      Prompts for the settings or options.
      Parameters:
        `installType` - - install, repair or uninstall
        `cmdOptions` - - command-line options
        `settings` - - contains all the configuration settings type and default value
      Returns:
        a map that contains the name of the setting or option and its value
      Throws:
        `Exception`

    - #### nonInteractive

          Map<String,String> nonInteractive(InstallType installType,
                                            Map<String,String> cmdOptions)
                                     throws Exception

      Obtains the command options to update the configuration file and install/upgrade/configure ORDS
      Parameters:
        `installType` - - install, repair or uninstall
        `cmdOptions` - - command-line options
      Returns:
        a map that contains the name of the setting or option and its value
      Throws:
        `Exception`

    - #### getCommandLineOptions

          InstallationOptions getCommandLineOptions(InstallType installType)

      The command line options to use for the installation. This option consists of the name, translatable description, the data type and if the data is secured.
      Parameters:
        `installType` - - install, repair or uninstall
      Returns:
        installation options.

    - #### getOptions

          Set<String> getOptions()

      Get a list of command options.
      Returns:
        command options.

    - #### validOptions

          boolean validOptions(Map<String,String> cmdLineOptions)
                        throws Exception

      Checks if the options specified on the command-line are valid.
      Parameters:
        `cmdLineOptions` - containing the user specified options on the command-line
      Returns:
        true if the option are valid; otherwise, returns false if the option contains an invalid value or contradictory options
      Throws:
        `Exception`

Copyright © 2010, 2022, Oracle and/or its affiliates.